Package org.gradle.api

# Class InvalidUserDataException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException
org.gradle.api.InvalidUserDataException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ExtraPropertiesExtension.UnknownPropertyException`, `InvalidIvyPublicationException`, `InvalidMavenPublicationException`, `UnknownPluginException`

public class InvalidUserDataException extends GradleException
A `InvalidUserDataException` is thrown, if a user is providing illegal data for the build.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidUserDataException()`
`InvalidUserDataException(String message)`
`InvalidUserDataException(String message, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidUserDataException

public InvalidUserDataException()

### InvalidUserDataException

public InvalidUserDataException(String message)

### InvalidUserDataException

public InvalidUserDataException(String message, Throwable cause)